Subject: Re: Closing down the wireless trees for a summer break?

From: Jakub Kicinski <[email-masked]>
Date: Tue, 13 Jun 2023 19:51:36 -0700

On Tue, 13 Jun 2023 22:00:35 +0200 Johannes Berg wrote:
> On Tue, 2023-06-13 at 11:28 -0700, Jakub Kicinski wrote:
> > On Tue, 13 Jun 2023 20:14:40 +0200 Toke Høiland-Jørgensen wrote:  
> > > I think this sounds reasonable, and I applaud the effort to take some
> > > time off during the summer :)
> > > 
> > > One question that comes to mind is how would this work for patchwork?
> > > Would we keep using the wireless patchwork instance for the patches
> > > going to -net in that period, or will there be some other process for
> > > this? I realise the setup we have for ath9k is a bit special in this
> > > regard with the ack-on-list+delegation, so I'm obviously mostly
> > > interested in what to do about that... :)  
> > 
> > Whatever's easiest :) It's probably a good idea for Kalle to write
> > down all the local rules and customs and share those with us.
> 
> While that's probably a good idea regardless, I'd think that patchwork
> doesn't really matter that much - we'll have some catching up to do
> anyway after the vacations, so looking through patchwork etc. would be
> perfectly acceptable. Worst case we'd notice when a patch doesn't apply,
> right? :)

Right, I meant it more in terms of patch flow. Is looking at which
drivers have a tree specified in MAINTAINERS enough to know what
should be applied directly?

> Wrt. ath9k patches I guess "delegate in patchwork" won't work anymore,
> but "resend to netdev" or something perhaps?

We can watch PW state and apply from linux-wireless, I reckon.
That said I don't know how you use delegation :)